> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/geo-endpoints-for-spatial-data-access.md).

# Geo-кінцеві точки для доступу до просторових даних

{% hint style="success" %}
GeoPard використовує <https://www.ogc.org/> формати даних Open Geospatial Consortium, як-от WMS для зображень і WFS для векторних даних. Також ми підтримуємо імпорт та експорт шейп-файлів. Гнучкий рушій дає змогу імпортувати й експортувати дані в будь-якому з цих форматів. Для супутникових знімків ми використовуємо [COG (хмарно-оптимізовані GeoTIFF)](https://www.cogeo.org/)
{% endhint %}

{% hint style="info" %}
Щоб надсилати запити WMS/WFS, потрібно встановити Postman.
{% endhint %}

{% hint style="info" %}
Кожен запит потрібно підписати за допомогою заголовка "Authorization" (у який слід помістити токен) або параметра URL "geopardApiKey " (у який потрібно помістити ключ API користувача).
{% endhint %}

Кінцеві точки API WMS зберігаються в атрибутах "geoMaps" сутностей "Field", "FieldSatelliteImage", "VectorAnalysisMap", "RasterAnalysisMap", "TopographyMap", "SoilDataset" і "YieldDataset". Перегляньте [схему даних GeoPard.](https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/geopard-api-data-schema.md)

Кінцеві точки API WFS зберігаються в атрибутах "boundaryUrl", "zonesMapUrl" і "attributesUrl" сутностей "Field" та "VectorAnalysisMap".

{% hint style="info" %}
Для отримання точніших зображень рекомендуємо використовувати проєкцію EPSG:900913 замість EPSG:3857.
{% endhint %}

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/geo-endpoints-for-spatial-data-access.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
